<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_orders.php                                         ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/
                                   	

	include_once ("./admin_config.php");
	include_once ($root_folder_path . "includes/common.php");
	include_once ($root_folder_path . "includes/sorter.php");
	include_once ($root_folder_path . "includes/navigator.php");
	include_once ($root_folder_path . "includes/record.php");
	include_once ($root_folder_path . "includes/shopping_cart.php");
	include_once ($root_folder_path . "includes/order_items.php");
	include_once ($root_folder_path . "includes/order_links.php");
	include_once ("../messages/".$language_code."/cart_messages.php");

	check_admin_security("sales_orders");

	$currency = get_currency();
	$currency_left = $currency["left"];
	$currency_right = $currency["right"];
	$currency_rate = $currency["rate"];
	$currency_code = $currency["code"];

	$orders_currency = get_setting_value($settings, "orders_currency", 0);

	$permissions = get_permissions();
	$operation  = get_param("operation");
	$orders_ids = get_param("orders_ids");
	$status_id	= get_param("status_id");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_orders.html");

	$t->set_var("PROD_TITLE_COLUMN", PROD_TITLE_COLUMN);
	$t->set_var("PROD_PRICE_COLUMN", PROD_PRICE_COLUMN);
	$t->set_var("PROD_QTY_COLUMN",   PROD_QTY_COLUMN);
	$t->set_var("PROD_TOTAL_COLUMN", PROD_TOTAL_COLUMN);
	$t->set_var("GOODS_TOTAL_MSG",   GOODS_TOTAL_MSG);

	$orders_errors = "";
	if ($operation == "update_status") {
		if (isset($permissions["update_orders"]) && $permissions["update_orders"] == 1) {
			if (strlen($orders_ids) && strlen($status_id)) {
				$ids = explode(",", $orders_ids);
				for($i = 0; $i < sizeof($ids); $i++) {
					update_order_status($ids[$i], $status_id);
				}
			}
		} else {
			$orders_errors .= "Sorry, but you are not allowed to update orders.<br>";
		}
	} else if ($operation == "remove_orders") {
		if (isset($permissions["remove_orders"]) && $permissions["remove_orders"] == 1) {
			remove_orders($orders_ids);
		} else {
			$orders_errors .= "Sorry, but you are not allowed to remove orders.<br>";
		}
	}

	// prepare list values 
	$order_statuses = get_db_values("SELECT status_id, status_name FROM " . $table_prefix . "order_statuses", array(array("", "")));
	$countries = get_db_values("SELECT country_code, country_name FROM " . $table_prefix . "countries ORDER BY country_order, country_name ", array(array("", "")));
	$states = get_db_values("SELECT state_code, state_name FROM " . $table_prefix . "states ORDER BY state_name ", array(array("", "")));
	$export_options = array(array("", "All"), array("1", "Exported"), array("0", "Not Exported"));

	$sql  = " SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='order_info' ";
	//$sql .= " AND setting_name LIKE '%country_code%'";
	$db->query($sql);
	while($db->next_record()) {
		$order_info[$db->f("setting_name")] = $db->f("setting_value");
	}

	// prepare dates for stats
	$current_date = va_time();
	$cyear = $current_date[YEAR]; $cmonth = $current_date[MONTH]; $cday = $current_date[DAY]; 
	$today_ts = mktime (0, 0, 0, $cmonth, $cday, $cyear);
	$tomorrow_ts = mktime (0, 0, 0, $cmonth, $cday + 1, $cyear);
	$yesterday_ts = mktime (0, 0, 0, $cmonth, $cday - 1, $cyear);
	$week_ts = mktime (0, 0, 0, $cmonth, $cday - 6, $cyear);
	$month_ts = mktime (0, 0, 0, $cmonth, 1, $cyear);
	$today_date = va_date($date_edit_format, $today_ts);
	$tomorrow_date = va_date($date_edit_format, $tomorrow_ts);
	$yesterday_date = va_date($date_edit_format, $yesterday_ts);
	$week_date = va_date($date_edit_format, $week_ts);
	$month_date = va_date($date_edit_format, $month_ts);

	$t->set_var("date_edit_format", join("", $date_edit_format));
	$t->set_var("today_date",     $today_date);
	$t->set_var("yesterday_date", $yesterday_date);
	$t->set_var("week_date",      $week_date);
	$t->set_var("month_date",     $month_date);


	$orders_total_today = 0; $orders_total_yesterday = 0; $orders_total_week = 0; $orders_total_month = 0;
	// get orders stats
	for($i = 1; $i < sizeof($order_statuses); $i++) {
		$status_id = $order_statuses[$i][0];
		$status_name = $order_statuses[$i][1];

		$t->set_var("status_id",   $status_id);
		$t->set_var("status_name", $status_name);

		$sql  = " SELECT COUNT(*) FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_status=" . $db->tosql($status_id, INTEGER);
		$sql .= " AND order_placed_date>=" . $db->tosql($today_ts, DATE);
		$orders_today = get_db_value($sql);
		$orders_total_today += $orders_today;
		if($orders_today > 0) {
			$orders_today = "<a href=\"admin_orders.php?s_os=".$status_id."&s_sd=".$today_date."&s_ed=".$today_date."\"><b>" . $orders_today ."</b></a>";
		}

		$sql  = " SELECT COUNT(*) FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_status=" . $db->tosql($status_id, INTEGER);
		$sql .= " AND order_placed_date>=" . $db->tosql($yesterday_ts, DATE) . " AND order_placed_date<" . $db->tosql($today_ts, DATE);
		$orders_yesterday = get_db_value($sql);
		$orders_total_yesterday += $orders_yesterday;
		if($orders_yesterday > 0) {
			$orders_yesterday = "<a href=\"admin_orders.php?s_os=".$status_id."&s_sd=".$yesterday_date."&s_ed=".$yesterday_date."\"><b>" . $orders_yesterday ."</b></a>";
		}
		
		$sql  = " SELECT COUNT(*) FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_status=" . $db->tosql($status_id, INTEGER);
		$sql .= " AND order_placed_date>=" . $db->tosql($week_ts, DATE);
		$orders_week = get_db_value($sql);
		$orders_total_week += $orders_week;
		if($orders_week > 0) {
			$orders_week = "<a href=\"admin_orders.php?s_os=".$status_id."&s_sd=".$week_date."&s_ed=".$today_date."\"><b>" . $orders_week ."</b></a>";
		}

		$sql  = " SELECT COUNT(*) FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_status=" . $db->tosql($status_id, INTEGER);
		$sql .= " AND order_placed_date>=" . $db->tosql($month_ts, DATE);
		$orders_month = get_db_value($sql);
		$orders_total_month += $orders_month;
		if($orders_month > 0) {
			$orders_month = "<a href=\"admin_orders.php?s_os=".$status_id."&s_sd=".$month_date."&s_ed=".$today_date."\"><b>" . $orders_month ."</b></a>";
		}


		$t->set_var("orders_today", $orders_today);
		$t->set_var("orders_yesterday", $orders_yesterday);
		$t->set_var("orders_week", $orders_week);
		$t->set_var("orders_month", $orders_month);


		$t->parse("statuses_stats", true);
	}
	$t->set_var("orders_total_today", $orders_total_today);
	$t->set_var("orders_total_yesterday", $orders_total_yesterday);
	$t->set_var("orders_total_week", $orders_total_week);
	$t->set_var("orders_total_month", $orders_total_month);

	$t->set_var("admin_orders_href", "admin_orders.php");
	$t->set_var("admin_order_href",  "admin_order.php");
	$t->set_var("admin_invoice_html_href","admin_invoice_html.php");
	$t->set_var("admin_invoice_pdf_href","admin_invoice_pdf.php");
	$t->set_var("admin_href",        "admin.php");
	$t->set_var("admin_import_href", "admin_import.php");
	$t->set_var("admin_export_href", "admin_export.php");
	$t->set_var("admin_invoice_pdf_href", "admin_invoice_pdf.php");
	$t->set_var("admin_packing_pdf_href", "admin_packing_pdf.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_orders.php");
	$s->set_parameters(false, true, true, false);
	$s->set_default_sorting(1, "desc");
	$s->set_sorter("No", "sorter_id", "1", "o.order_id");
	$s->set_sorter("Order Placed", "sorter_date", "2", "o.order_placed_date");
	$s->set_sorter("Status", "sorter_status", "3", "o.order_status");
	$s->set_sorter("Order Total", "sorter_total", "4", "o.order_total");
	if ($order_info["show_delivery_country_code"] == 1) {
		$s->set_sorter("To", "sorter_ship_to", "5", "o.delivery_country_code");
	} else {
		$s->set_sorter("To", "sorter_ship_to", "5", "o.country_code");
	}

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_orders.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	$where = "";
	$r = new VA_Record($table_prefix . "orders");
	$r->add_textbox("s_on", TEXT, "Order No");
	$r->change_property("s_on", TRIM, true);
	$r->add_textbox("s_ne", TEXT);
	$r->change_property("s_ne", TRIM, true);
	$r->add_textbox("s_kw", TEXT);
	$r->change_property("s_kw", TRIM, true);
	$r->add_textbox("s_sd", DATE, "From Date");
	$r->change_property("s_sd", VALUE_MASK, $date_edit_format);
	$r->change_property("s_sd", TRIM, true);
	$r->add_textbox("s_ed", DATE, "End Date");
	$r->change_property("s_ed", VALUE_MASK, $date_edit_format);
	$r->change_property("s_ed", TRIM, true);
	$r->add_select("s_os", INTEGER, $order_statuses);
	$r->add_select("s_cc", TEXT, $countries);
	$r->add_select("s_sc", TEXT, $states);
	$r->add_select("s_ex", TEXT, $export_options);
	$r->get_form_parameters();
	$r->validate();
	$r->set_form_parameters();

	$where = ""; $product_search = false;
	if(!$r->errors) {
		if(!$r->is_empty("s_on")) {
			$s_on = $r->get_value("s_on");
			if (preg_match("/^(\d+)(,\d+)*$/", $s_on))	{
				$where  = " (o.order_id IN (" . $s_on . ") ";
				$where .= " OR o.transaction_id=" . $db->tosql($s_on, TEXT) . ") ";
			} else {
				$where .= " o.transaction_id=" . $db->tosql($s_on, TEXT) . " ";
			}
		}

		if(!$r->is_empty("s_ne")) {
			if (strlen($where)) { $where .= " AND "; }
			$s_ne_sql = $db->tosql($r->get_value("s_ne"), TEXT, false);
			$where .= " (o.email LIKE '%" . $s_ne_sql . "%'";
			$where .= " OR o.name LIKE '%" . $s_ne_sql . "%'";
			$where .= " OR o.first_name LIKE '%" . $s_ne_sql . "%'";
			$where .= " OR o.last_name LIKE '%" . $s_ne_sql . "%')";
		}

		if(!$r->is_empty("s_kw")) {
			$product_search = true;
			if (strlen($where)) { $where .= " AND "; }
			$where .= " (oi.item_name LIKE '%" . $db->tosql($r->get_value("s_kw"), TEXT, false) . "%'";
			$where .= " OR oi.item_properties LIKE '%" . $db->tosql($r->get_value("s_kw"), TEXT, false) . "%'";
			$where .= " OR o.shipping_type_desc LIKE '%" . $db->tosql($r->get_value("s_kw"), TEXT, false) . "%')";
		}

		if(!$r->is_empty("s_sd")) {
			if (strlen($where)) { $where .= " AND "; }
			$where .= " o.order_placed_date>=" . $db->tosql($r->get_value("s_sd"), DATE);
		}

		if(!$r->is_empty("s_ed")) {
			if (strlen($where)) { $where .= " AND "; }
			$end_date = $r->get_value("s_ed");
			$day_after_end = mktime (0, 0, 0, $end_date[MONTH], $end_date[DAY] + 1, $end_date[YEAR]);
			$where .= " o.order_placed_date<" . $db->tosql($day_after_end, DATE);
		}

		if(!$r->is_empty("s_os")) {
			if (strlen($where)) { $where .= " AND "; }
			$where .= " o.order_status=" . $db->tosql($r->get_value("s_os"), INTEGER);
		} else {
			if (strlen($where)) { $where .= " AND "; }
			$where .= " os.is_list=1 ";
		}

		if(!$r->is_empty("s_cc")) {
			if ($order_info["show_delivery_country_code"] == 1) {
				if (strlen($where)) { $where .= " AND "; }
				$where .= " o.delivery_country_code=" . $db->tosql($r->get_value("s_cc"), TEXT);
			} else if ($order_info["show_country_code"] == 1) {
				if (strlen($where)) { $where .= " AND "; }
				$where .= " o.country_code=" . $db->tosql($r->get_value("s_cc"), TEXT);
			} 
		}

		if(!$r->is_empty("s_sc")) {
			if ($order_info["show_delivery_state_code"] == 1) {
				if (strlen($where)) { $where .= " AND "; }
				$where .= " o.delivery_state_code=" . $db->tosql($r->get_value("s_sc"), TEXT);
			} else if ($order_info["show_state_code"] == 1) {
				if (strlen($where)) { $where .= " AND "; }
				$where .= " o.state_code=" . $db->tosql($r->get_value("s_sc"), TEXT);
			} 
		}

		if(!$r->is_empty("s_ex")) {
			if (strlen($where)) { $where .= " AND "; }
			$s_ex = $r->get_value("s_ex");
			$where .= ($s_ex == 1) ? " o.is_exported=1 " : " (o.is_exported<>1 OR o.is_exported IS NULL) ";
		}

	}

	$where_sql = ""; 
	if (strlen($where)) {
		$where_sql = " WHERE " . $where;
	}

	$order_statuses[0][1] = "";
	set_options($order_statuses, "status_id", "status_id");

	// set up variables for navigator
	if ($product_search) {
		$total_records = 0;
		$sql  = " SELECT COUNT(*) FROM ((" . $table_prefix . "orders o ";
		$sql .= " INNER JOIN " . $table_prefix . "orders_items oi ON o.order_id=oi.order_id)";
		$sql .= " LEFT JOIN " . $table_prefix . "order_statuses os ON o.order_status=os.status_id) ";
		$sql .= $where_sql;
		$sql .= " GROUP BY o.order_id ";
		$db->query($sql);
		while ($db->next_record()) {
			$total_records++;
		}
	} else {
		$sql  = " SELECT COUNT(*) FROM (" . $table_prefix . "orders o ";
		$sql .= " LEFT JOIN " . $table_prefix . "order_statuses os ON o.order_status=os.status_id) ";
		$sql .= $where_sql;
		$db->query($sql);
		$db->next_record();
		$total_records = $db->f(0);
	}

	$records_per_page = 25;
	$pages_number = 5;

	$orders = array();
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT o.order_id, o.order_placed_date, os.status_name, o.goods_total, o.order_total, ";
	$sql .= " o.name, o.first_name, o.last_name, o.country_code, o.delivery_country_code, o.state_code, o.delivery_state_code, ";
	$sql .= " o.remote_address, o.currency_code, o.currency_rate, c.symbol_right, c.symbol_left ";
	$sql .= " FROM (((" . $table_prefix . "orders o ";
	$sql .= " LEFT JOIN " . $table_prefix . "order_statuses os ON o.order_status=os.status_id) ";
	$sql .= " LEFT JOIN " . $table_prefix . "currencies c ON o.currency_code=c.currency_code) ";
	if ($product_search) {
		$sql .= " INNER JOIN " . $table_prefix . "orders_items oi ON o.order_id=oi.order_id) ";
	} else {
		$sql .= ")";
	}
	$sql .= $where_sql;
	if ($product_search) {
		$sql .= " GROUP BY o.order_id, o.order_placed_date, os.status_name, o.goods_total, o.order_total, o.name, ";
		$sql .= " o.first_name, o.last_name, o.country_code, o.delivery_country_code, o.state_code, o.delivery_state_code, ";
		$sql .= " o.remote_address, o.currency_code, o.currency_rate, c.symbol_right, c.symbol_left ";
	}
	$sql .= $s->order_by;
	$db->query($sql);
	if($db->next_record())
	{
		$admin_order = new VA_URL("admin_order.php", false);
		$admin_order->add_parameter("s_on", REQUEST, "s_on");
		$admin_order->add_parameter("s_ne", REQUEST, "s_ne");
		$admin_order->add_parameter("s_kw", REQUEST, "s_kw");
		$admin_order->add_parameter("s_sd", REQUEST, "s_sd");
		$admin_order->add_parameter("s_ed", REQUEST, "s_ed");
		$admin_order->add_parameter("s_os", REQUEST, "s_os");
		$admin_order->add_parameter("s_cc", REQUEST, "s_cc");
		$admin_order->add_parameter("s_sc", REQUEST, "s_sc");
		$admin_order->add_parameter("s_ex", REQUEST, "s_ex");
		$admin_order->add_parameter("page", REQUEST, "page");
		$admin_order->add_parameter("sort_ord", REQUEST, "sort_ord");
		$admin_order->add_parameter("sort_dir", REQUEST, "sort_dir");
		$admin_order->add_parameter("order_id", DB, "order_id");

		$order_index = 0;
		do
		{
			//$order_index++;
			$order_id    = $db->f("order_id");
			$order_total = $db->f("order_total");
			$order_currency_code = $db->f("currency_code");
			$order_currency_rate = $db->f("currency_rate");
			$order_currency_left = $db->f("symbol_left");
			$order_currency_right = $db->f("symbol_right");
			if ($orders_currency != 1) {
				$order_currency_left = $currency_left;
				$order_currency_right = $currency_right;
				if (strtolower($currency_code) != strtolower($order_currency_code)) {
					$order_currency_rate = $currency_rate;
				}
			}
			$user_name = $db->f("name");
			if(!strlen($user_name)) {
				$user_name = $db->f("first_name") . " " . $db->f("last_name");
			}
			$order_placed_date = $db->f("order_placed_date", DATETIME);
			$order_placed_date = va_date($datetime_show_format, $order_placed_date);

			if ($order_info["show_delivery_country_code"] == 1) {
				$ship_to = $db->f("delivery_country_code");
				$state_code = $db->f("delivery_state_code");
			} else if ($order_info["show_country_code"] == 1) {
				$ship_to = $db->f("country_code");
				$state_code = $db->f("state_code");
			} else {
				$ship_to = $settings["country_code"];
				$state_code = get_setting_value($settings, "state_code", "");
			}
			if ($state_code) {
				if ($ship_to) {
					$ship_to .= "," . $state_code;
				} else {
					$ship_to  = $state_code;
				}
			}
			$status_name = $db->f("status_name");
			$admin_order_url   = $admin_order->get_url();
			$remote_address = $db->f("remote_address");
			
			$orders[] = array($order_id, $order_total, $user_name, $order_placed_date, $status_name, $ship_to, $admin_order_url, $remote_address, $order_currency_rate, $order_currency_left, $order_currency_right);
		} while($db->next_record());
	}

	if(sizeof($orders) > 0)
	{
		$order_index = 0;
		$t->parse("sorters", false);
		$t->set_var("no_records", "");
		for($i = 0; $i < sizeof($orders); $i++) {
			$order_index++;

			list ($order_id, $order_total, $user_name, $order_placed_date, $status_name, $ship_to, $admin_order_url, $remote_address, $order_currency_rate, $order_currency_left, $order_currency_right) = $orders[$i];

			$t->set_var("order_index", $order_index);
			$t->set_var("order_id", $order_id);
			$t->set_var("user_name", htmlspecialchars($user_name));
			$t->set_var("order_placed_date", $order_placed_date);

			$t->set_var("order_status", $status_name);

			$t->set_var("order_total", $order_currency_left . number_format($order_total * $order_currency_rate, 2) . $order_currency_right);
			//$t->set_var("order_total", $currency_left . number_format($order_total, 2) . $currency_right);
			$t->set_var("ship_to", $ship_to);
			$t->set_var("admin_order_url", $admin_order_url);

			$sql  = "SELECT ip_address FROM " . $table_prefix . "black_ips WHERE ip_address=" . $db->tosql($remote_address, TEXT);
			$db->query($sql);
			if ($db->next_record()) {
				$row_style = "rowWarn";
			} else {
				$row_style = ($order_index % 2 == 0) ? "row1" : "row2";
			}
			$t->set_var("row_style", $row_style);

			$t->set_var("order_items", "");
			$total_quantity = 0;
			$total_price = 0;
			$sql  = " SELECT item_name, quantity, price ";
			$sql .= " FROM " . $table_prefix . "orders_items ";
			$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER);
			$db->query($sql);
			while ($db->next_record()) {
				$item_name = get_translation($db->f("item_name"));
				if (strlen($item_name) > 20) {
					$item_name = substr($item_name, 0, 20) . "...";
				}
				$quantity = $db->f("quantity");
				$price = $db->f("price") * $order_currency_rate;

				$total_quantity += $quantity;
				$total_price += ($price * $quantity);

				$t->set_var("item_name", $item_name);
				$t->set_var("quantity",  $quantity);
				$t->set_var("price", $order_currency_left . number_format($price, 2) . $order_currency_right);
				$t->parse("order_items", true);
			}
			$t->set_var("total_quantity", $total_quantity);
			$t->set_var("total_price", $order_currency_left . number_format($total_price, 2) . $order_currency_right);

			$t->parse("records", true);
		} 
		$t->set_var("orders_number", $order_index);
	}
	else
	{
		$t->set_var("sorters", "");
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("page", $page_number);
	$t->set_var("s_os_search", $r->get_value("s_os"));
	$t->set_var("s_cc_search", $r->get_value("s_cc"));
	$t->set_var("s_sc_search", $r->get_value("s_sc"));
	$t->set_var("s_ex_search", $r->get_value("s_ex"));

	if(sizeof($orders) > 0) {

		if (isset($permissions["update_orders"]) && $permissions["update_orders"] == 1) {
			$t->parse("update_status", false);
		}

		if(isset($permissions["remove_orders"]) && $permissions["remove_orders"] == 1) {
			$t->parse("remove_orders_button", false);
		}
	}

	if (strlen($orders_errors)) {
		$t->set_var("errors_list", $orders_errors);
		$t->parse("orders_errors", false);
	}

	if (strlen($where) && $total_records > 0) {
		$admin_export_filtered_url = new VA_URL("admin_export.php", true);
		$admin_export_filtered_url->add_parameter("table", CONSTANT, "orders");
		$t->set_var("admin_export_filtered_url", $admin_export_filtered_url->get_url());
		$t->set_var("total_filtered", $total_records);
		$t->parse("export_filtered", false);
	}
  
	
	$sql  = " SELECT exported_order_id FROM " . $table_prefix . "admins ";
	$sql .= " WHERE admin_id=" . $db->tosql(get_session("session_admin_id"), INTEGER);
	$exported_order_id = intval(get_db_value($sql));

	$sql  = " SELECT COUNT(*) FROM " . $table_prefix . "orders ";
	$sql .= " WHERE order_id>" . $db->tosql($exported_order_id, INTEGER);
	$total_new = get_db_value($sql);
	if($total_new > 0) {
		$t->set_var("exported_order_id", urlencode($exported_order_id));
		$t->set_var("total_new", $total_new);
		$t->parse("export_new", false);
	}

	$sql  = " SELECT MAX(order_id) FROM " . $table_prefix . "orders ";
	$max_order_id = get_db_value($sql);

	if($max_order_id > get_session("session_last_order_id") && $max_order_id > get_session("session_max_order_id")) {
		set_session("session_max_order_id", $max_order_id);
		$sql = " UPDATE " . $table_prefix . "admins SET last_order_id=" . $db->tosql($max_order_id, INTEGER);
		$sql .= " WHERE admin_id=" . $db->tosql(get_session("session_admin_id"), INTEGER);
		$db->query($sql);
	}

	$t->pparse("main");

?>