<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_release.php                                        ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/editgrid.php");
	include($root_folder_path . "includes/tree.php");

	check_admin_security("products_categories");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_release.html");

	$t->set_var("admin_property_href", "admin_property.php");
	$t->set_var("admin_items_list_href", "admin_items_list.php");
	$t->set_var("admin_product_href", "admin_product.php");
	$t->set_var("admin_releases_href", "admin_releases.php");
	$t->set_var("admin_release_href", "admin_release.php");
	
	$item_id = get_param("item_id");
	$sql  = " SELECT item_name FROM " . $table_prefix . "items ";
	$sql .= " WHERE item_id=" . $db->tosql($item_id, INTEGER);

	$category_id = get_param("category_id");
	if(!strlen($category_id)) $category_id = "0";

	$tree = new VA_Tree("category_id", "category_name", "parent_category_id", $table_prefix . "categories", "tree");
	$tree->show($category_id);

	$db->query($sql);
	if($db->next_record())
		$t->set_var("item_name", get_translation($db->f("item_name")));
	else
		die("Product with such ID no longer exists in database.");


	$release_types = get_db_values("SELECT * FROM " . $table_prefix . "release_types", array(array("", "Select Type")));

	$download_types = 
		array( 
			array(1, "All users can download"), array(2, "Only registered users"), array(3, "Only users ordered the product")
		);

	// set up html form parameters
	$r = new VA_Record($table_prefix . "releases");
	$r->return_page = "admin_releases.php";

	$r->add_hidden("category_id", INTEGER);
	$r->add_where("release_id", INTEGER);
	$r->add_textbox("item_id", TEXT, "Product ID");
	$r->parameters["item_id"][REQUIRED] = true;
	$r->parameters["item_id"][DEFAULT_VALUE] = $item_id;
	$r->parameters["item_id"][TRANSFER] = true;
	$r->add_textbox("release_date", DATETIME, "Release Date");
	$r->parameters["release_date"][REQUIRED] = true;
	$r->parameters["release_date"][VALUE_MASK] = $date_edit_format;
	$r->parameters["release_date"][DEFAULT_VALUE] = va_time();
	$r->add_select("release_type_id", INTEGER, $release_types, "Release Type");
	$r->parameters["release_type_id"][REQUIRED] = true;
	$r->add_textbox("release_title", TEXT, "Title");
	$r->parameters["release_title"][REQUIRED] = true;
	$r->add_textbox("version", TEXT);
	$r->add_textbox("release_desc", TEXT);
	$r->add_select("download_type", INTEGER, $download_types, "Download Type");
	$r->parameters["download_type"][REQUIRED] = true;
	$r->add_textbox("path_to_file", TEXT);
	$r->add_checkbox("is_showing", INTEGER);
	$r->parameters["is_showing"][DEFAULT_VALUE] = 1;
	$r->add_checkbox("show_on_index", INTEGER);

	$r->process();

	$t->set_var("release_date_format", join("", $date_edit_format));

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>