<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_table_orders.php                                   ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$table_name = $table_prefix . "orders";
	$table_alias = "o";
	$table_pk = "order_id";
	$table_title = "Orders";
	$min_column_allowed = 5;

	$db_columns = array(
		"order_id" => array("Order ID", INTEGER, 1, false),
		"transaction_id" => array("Transaction ID", TEXT, 2, false),
		"user_id" => array("User ID", INTEGER, 2, false),
		"affiliate_code" => array("Affiliate Code", TEXT, 4, false),

		"coupons_ids" => array("Coupons Numbers", TEXT, 2, false),
		"order_status" => array("Status ID", INTEGER, 3, true),
		"total_buying" => array("Total Buying", FLOAT, 2, true),
		"goods_total" => array("Goods Total", FLOAT, 2, true),
		"total_quantity" => array("Total Goods Quantity", INTEGER, 3, true),
		"weight_total" => array("Weight Total", FLOAT, 2, false),
		"total_discount" => array("Total Discount", FLOAT, 2, false),
		"shipping_type_id" => array("Shipping ID", INTEGER, 2, false),
		"shipping_type_desc" => array("Shipping Description", TEXT, 2, false),
		"shipping_cost" => array("Shipping Cost", FLOAT, 2, false),
		"tax_name" => array("Tax Name", TEXT, 2, false),
		"tax_percent" => array("Tax Percent", FLOAT, 2, false),
		"tax_total" => array("Tax Total", FLOAT, 2, false),
		"order_total" => array("Order Total", FLOAT, 2, true),

		"name" => array("Name", TEXT, 2, false),
		"first_name" => array("First Name", TEXT, 2, false),
		"last_name" => array("Last Name", TEXT, 2, false),
		"company_id" => array("Company ID", INTEGER, 3, false),
		"company_name" => array("Company Name", TEXT, 2, false),
		"email" => array("Email", TEXT, 2, false),
		"address1" => array("Street Address First Line", TEXT, 2, false),
		"address2" => array("Street Address Second Line", TEXT, 2, false),
		"city" => array("City", TEXT, 2, false),
		"province" => array("Province", TEXT, 2, false),
		"state_code" => array("State", TEXT, 3, false),
		"zip" => array("Zip", TEXT, 2, false),
		"country_code" => array("Country", TEXT, 3, false),
		"phone" => array("Phone", TEXT, 2, false),
		"daytime_phone" => array("Daytime Phone", TEXT, 2, false),
		"evening_phone" => array("Evening Phone", TEXT, 2, false),
		"cell_phone" => array("Cell Phone", TEXT, 2, false),
		"fax" => array("Fax", TEXT, 2, false),

		"delivery_name" => array("Delivery Name", TEXT, 2, false),
		"delivery_first_name" => array("Delivery First Name", TEXT, 2, false),
		"delivery_last_name" => array("Delivery Last Name", TEXT, 2, false),
		"delivery_company_id" => array("Delivery Company ID", INTEGER, 3, false),
		"delivery_company_name" => array("Delivery Company Name", TEXT, 2, false),
		"delivery_email" => array("Delivery Email", TEXT, 2, false),
		"delivery_address1" => array("Delivery Address First Line", TEXT, 2, false),
		"delivery_address2" => array("Delivery Address Second Line", TEXT, 2, false),
		"delivery_city" => array("Delivery City", TEXT, 2, false),
		"delivery_province" => array("Delivery Province", TEXT, 2, false),
		"delivery_state_code" => array("Delivery State", TEXT, 3, false),
		"delivery_zip" => array("Delivery Zip", TEXT, 2, false),
		"delivery_country_code" => array("Delivery Country", TEXT, 3, false),
		"delivery_phone" => array("Delivery Phone", TEXT, 2, false),
		"delivery_daytime_phone" => array("Delivery Daytime Phone", TEXT, 2, false),
		"delivery_evening_phone" => array("Delivery Evening Phone", TEXT, 2, false),
		"delivery_cell_phone" => array("Delivery Cell Phone", TEXT, 2, false),
		"delivery_fax" => array("Delivery Fax", TEXT, 2, false),

		"cc_name" => array("Name of Cardholder", TEXT, 2, false),
		"cc_first_name" => array("First Name", TEXT, 2, false),
		"cc_last_name" => array("Last Name", TEXT, 2, false),
		"cc_number" => array("Card Number", TEXT, 2, false),
		"cc_start_date" => array("Start Date", DATETIME, 2, false),
		"cc_expiry_date" => array("Expiry Date", DATETIME, 2, false),
		"cc_type" => array("Card Type ID", INTEGER, 2, false),
		"cc_issue_number" => array("Issue Number", INTEGER, 2, false),
		"cc_security_code" => array("Security Code", TEXT, 2, false),
		"pay_without_cc" => array("Pay Without Credit Card", TEXT, 2, false),

		"order_placed_date" => array("Order Date", DATETIME, 2, true),
		"modified_date" => array("Modified Date", DATETIME, 4, true)
	);
	$sql = " SELECT property_name FROM " . $table_prefix . "orders_properties GROUP BY property_name ";
	$db->query($sql);
	while ($db->next_record()) {
		$property_name = $db->f("property_name");
		$db_columns["order_property_" . $property_name] = array(get_translation($property_name), TEXT, 2, false);
	}

	$db_aliases["id"] = "order_id";

	$related_table = "orders_items";
	$related_table_name = $table_prefix . "orders_items ";
	$related_table_alias = "oi";
	$related_table_title = "Orders Items";

	$related_columns = array(
		"order_item_id" => array("Order Product ID", INTEGER, HIDE_DB_FIELD, false),
		"item_id" => array("Product ID", INTEGER, 2, false),
		"manufacturer_code" => array("Product Code", TEXT, 2, false),
		"item_name" => array("Product Name", TEXT, 2, false),
		"item_properties" => array("Product Options", TEXT, 2, false)
	);
	$sql = " SELECT property_name FROM " . $table_prefix . "orders_items_properties GROUP BY property_name ";
	$db->query($sql);
	while ($db->next_record()) {
		$property_name = $db->f("property_name");
		$related_columns["order_item_property_" . $property_name] = array("Product Option (" . get_translation($property_name) . ")", TEXT, 2, false);
	}
	$related_columns["buying_price"] = array("Product Buying Price", NUMBER, 2, false);
	$related_columns["price"] = array("Product Selling Price", NUMBER, 2, false);
	$related_columns["weight"] = array("Product Weight", NUMBER, 2, false);
	$related_columns["quantity"] = array("Product Quantity", INTEGER, 2, false);
	$related_columns["downloadable"] = array("Is Product Downloadable", INTEGER, 2, false);
	$related_columns["coupons_ids"] = array("Product Coupons", TEXT, 2, false);
	$related_columns["real_price"] = array("Product Real Price", NUMBER, 2, false);
	$related_columns["discount_amount"] = array("Product Discount", NUMBER, 2, false);


?>