<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procartz Enterprise 3.8                                       ***
  ***      File:  block_categories_list.php                                ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procartz.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


function categories($block_name, $block_prefix="categories")
{
	global $t, $db, $table_prefix, $language_code;
	global $category_id;
	global $page_settings, $restrict_categories_images;
	global $categories, $category_number, $settings, $list_url, $list_page;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	$friendly_urls = get_setting_value($settings, "friendly_urls", 0);
	$friendly_extension = get_setting_value($settings, "friendly_extension", "");
	$columns = get_setting_value($page_settings, $block_prefix."_columns", 1);
	$categories_type = get_setting_value($page_settings, $block_prefix."_type");

	if(!isset($category_id) || !strlen($category_id)) { $category_id = get_param("category_id"); }

	$search_category_id = get_param("search_category_id");
	$search_string = get_param("search_string");
	$is_search = strlen($search_string);
  
	if ($is_search && $search_category_id) { $category_id = $search_category_id; }
	if (!strlen($category_id)) $category_id = "0";
	$category_id = intval($category_id);

	$t->set_var("products_href",    "products.php");
	$t->set_var("list_href",        "products.php");
	$t->set_var("details_href",     "product_details.php");
	$t->set_var("top_category_name",PRODUCTS_TITLE);
	$t->set_var("CATEGORIES_TITLE", CATEGORIES_TITLE);
	$t->set_var("MORE_MSG",         MORE_MSG);
	$t->set_var("READ_MORE_MSG",    READ_MORE_MSG);
	$t->set_var("CLICK_HERE_MSG",   CLICK_HERE_MSG);
	$t->set_var("TOP_CATEGORY_MSG", TOP_CATEGORY_MSG);
	$t->set_var("category_rss", "");

	$list_page = "products.php";
	$list_url = new VA_URL($list_page);
	
	if (($categories_type == 2)||($categories_type == 1)) 
	{
		$t->set_file("block_body", "block_categories_catalog.html");
		$t->set_var("catalog_sub",         "");
		$t->set_var("catalog_sub_more",    "");
		$t->set_var("catalog_rows",        "");
		$t->set_var("catalog_top",         "");
		$t->set_var("catalog_description", "");
  
		if ($categories_type == 1) {
			$sql  = " SELECT category_id AS top_category_id, category_name AS top_category_name, friendly_url AS top_friendly_url, ";
			$sql .= " short_description, image, image_alt ";
			$sql .= " FROM " . $table_prefix . "categories ";
			$sql .= " WHERE is_showing=1";
			$sql .= " AND parent_category_id = " . $db->tosql($category_id, INTEGER);
			$sql .= " ORDER BY category_order, category_name ";
		} else {
			// show categories as catalog
			$sql  = " SELECT c.category_id AS top_category_id,c.category_name AS top_category_name, c.friendly_url AS top_friendly_url, ";
			$sql .= " c.image, c.image_alt, ";
			$sql .= " s.category_id AS sub_category_id,s.category_name AS sub_category_name, s.friendly_url AS sub_friendly_url ";
			$sql .= " FROM " . $table_prefix . "categories c ";
			$sql .= " LEFT JOIN " . $table_prefix . "categories s ON c.category_id=s.parent_category_id ";
			$sql .= " WHERE c.parent_category_id=" . $db->tosql($category_id, INTEGER);
			$sql .= " AND c.is_showing=1";
			$sql .= " AND (s.is_showing=1 OR s.is_showing IS NULL)";
			$sql .= " ORDER BY c.category_order, c.category_name, c.category_id, s.category_order, s.category_name ";
		}

		$db->query($sql);

		if($db->next_record())
		{
			$category_number = 0;
			$is_subcategories = true;
			$shown_sub_categories = get_setting_value($page_settings, $block_prefix."_subs"); 
			$catalog_top_number = 0;
			$catalog_sub_number = 0;
			$column_width = intval(100 / $columns);
			$t->set_var("column_width", $column_width . "%");
			do
			{
				$category_number++;
				$catalog_sub_number++;
				$top_category_id = $db->f("top_category_id");
				$top_category_name  =  get_translation($db->f("top_category_name"));
				$top_friendly_url = $db->f("top_friendly_url");
				$sub_category_id = $db->f("sub_category_id");
				$sub_category_name = get_translation($db->f("sub_category_name"));
				$sub_friendly_url = $db->f("sub_friendly_url");
				$category_image = $db->f("image");
				$image_alt      = get_translation($db->f("image_alt"));

				$t->set_var("catalog_top_id", $top_category_id);
				$t->set_var("catalog_top_name", $top_category_name);
				if ($categories_type == 2){
					$t->set_var("catalog_sub_id",   $sub_category_id);
					$t->set_var("catalog_sub_name", $sub_category_name);
				} else {
	  				if (strlen($db->f("short_description"))) {
						$t->set_var("short_description", get_translation($db->f("short_description")));
						$t->parse("catalog_description", false);
					} else {
						$t->set_var("catalog_description", "");
					}
				}

				$is_next_record = $db->next_record();
				$is_new_top = ($top_category_id != $db->f("top_category_id"));
  
				if ($categories_type == 2){
					if($shown_sub_categories >= $catalog_sub_number || !$shown_sub_categories)
					{
						if ($friendly_urls && $sub_friendly_url) {
							$list_url->remove_parameter("category_id");
							$t->set_var("list_url", $list_url->get_url($sub_friendly_url. $friendly_extension));
						} else {
							$list_url->add_parameter("category_id", CONSTANT, $sub_category_id);
							$t->set_var("list_url", $list_url->get_url($list_page));
						}

						if($is_next_record && !$is_new_top) {
							$t->parse("catalog_sub_separator", false);
						} else {
							$t->set_var("catalog_sub_separator", "");
						}
						$t->parse("catalog_sub", true);
					} else if(($shown_sub_categories + 1) == $catalog_sub_number) {
						if ($friendly_urls && $top_friendly_url) {
							$list_url->remove_parameter("category_id");
							$t->set_var("list_url", $list_url->get_url($top_friendly_url . $friendly_extension));
						} else {
							$list_url->add_parameter("category_id", CONSTANT, $top_category_id);
							$t->set_var("list_url", $list_url->get_url($list_page));
						}

						$t->parse("catalog_sub_more", false);
					}
				}
  
				if($is_new_top)
				{
					$catalog_top_number++;

					if ($friendly_urls && $top_friendly_url) {
						$list_url->remove_parameter("category_id");
						$t->set_var("list_url", $list_url->get_url($top_friendly_url . $friendly_extension));
					} else {
						$list_url->add_parameter("category_id", CONSTANT, $top_category_id);
						$t->set_var("list_url", $list_url->get_url($list_page));
					}

					if ($category_image)
					{
						if (preg_match("/^http\:\/\//", $category_image)) {
							$image_size = "";
						} else {
							$image_size = @GetImageSize($category_image);
							if (isset($restrict_categories_images) && $restrict_categories_images) { $category_image = "image_show.php?category_id=".$top_category_id; }
						}
						if(!strlen($image_alt)) { $image_alt = $top_category_name; }
							$t->set_var("alt", htmlspecialchars($image_alt));
							$t->set_var("src", htmlspecialchars($category_image));
						if(is_array($image_size)) {
							$t->set_var("width", "width=\"" . $image_size[0] . "\"");
							$t->set_var("height", "height=\"" . $image_size[1] . "\"");
						} else {
							$t->set_var("width", "");
							$t->set_var("height", "");
						}
						$t->parse("catalog_image", false);
					} else {
						$t->set_var("catalog_image", "");
					}

					$t->parse("catalog_top");
					$t->set_var("catalog_sub", "");
					$t->set_var("catalog_sub_more", "");
					if($catalog_top_number % $columns == 0)
					{
						$t->parse("catalog_rows");
						$t->set_var("catalog_top", "");
					}
					$catalog_sub_number = 0;
				}

			} while ($is_next_record);

			if($catalog_top_number % $columns != 0)
			{
				$t->parse("catalog_rows");
			}
  
			$t->parse("block_body", false);
			$t->parse($block_name, true);
		}

	} else {// list type 

		$t->set_file("block_body", "block_categories_list.html");
		$t->set_var("categories_rows", "");
		$t->set_var("categories",      "");

		$categories_image = get_setting_value($page_settings, $block_prefix."_image");
		$category_path = "0";
		if ($categories_type == 4) { // Tree-type structure
			$sql  = " SELECT category_path FROM " . $table_prefix . "categories ";
			$sql .= " WHERE category_id=" . $db->tosql($category_id, INTEGER);
			$sql .= " AND is_showing=1 ";
			$db->query($sql);
			if ($db->next_record()) {
				$category_path  = $db->f("category_path");
				$category_path .= $category_id;
			} 
		}

		$categories = array();
		$sql  = " SELECT category_id, category_name, friendly_url, ";
		$sql .= " short_description, image, image_alt, parent_category_id ";
		$sql .= " FROM " . $table_prefix . "categories ";
		$sql .= " WHERE is_showing=1";
		if ($categories_type == 4) {
			$sql .= " AND parent_category_id IN (" . $db->tosql($category_path, TEXT, false) . ") ";
		}
		$sql .= " ORDER BY category_order, category_name ";
		$db->query($sql);
		while ($db->next_record()) {
			$cur_category_id = $db->f("category_id");
			$category_name = get_translation($db->f("category_name"), $language_code);
			$friendly_url = $db->f("friendly_url");
			$short_description = get_translation($db->f("short_description"), $language_code);
			$image = $db->f("image");
			$image_alt = $db->f("image_alt");
			$parent_category_id = $db->f("parent_category_id");
			$categories[$cur_category_id]["parent_id"] = $parent_category_id;
			$categories[$cur_category_id]["category_name"] = $category_name;
			$categories[$cur_category_id]["friendly_url"] = $friendly_url;
			$categories[$cur_category_id]["short_description"] = $short_description;
			$categories[$cur_category_id]["image"] = $image;
			$categories[$cur_category_id]["image_alt"] = $image_alt;
			$categories[$parent_category_id]["subs"][] = $cur_category_id;
		}

		
		if (sizeof($categories) > 0)
		{
			$category_number = 0;
			$column_width = intval(100 / $columns);
			$t->set_var("column_width", $column_width . "%");
			if ($categories_type == 1) {
				set_categories($category_id, 0, $columns, 0, $categories_image);
			} else {
				set_categories(0, 0, $columns, 0, $categories_image);
			}
			if($category_number % $columns != 0)
				$t->parse("categories_rows");

  
			$t->parse("block_body", false);
			$t->parse($block_name, true);
		}

	}

}

?>